curl --request GET \
--url https://api.caret.so/v1/invites?limit=20&offset=0 \
--header 'Authorization: Bearer <your_api_key>'
{
"items": [
{
"id": "inv_123",
"email": "user@example.com",
"code": "abc123xy",
"role": "member",
"expiresAt": "2026-02-27T10:00:00Z",
"createdAt": "2026-01-28T10:00:00Z",
"isUrlInvite": false,
"folders": [
{
"id": "fol_456",
"name": "Marketing"
}
]
}
],
"pagination": {
"limit": 20,
"nextOffset": null,
"isLast": true
}
}
Invites
List Invites
Get a paginated list of all pending invites for the workspace
GET
/
v1
/
invites
curl --request GET \
--url https://api.caret.so/v1/invites?limit=20&offset=0 \
--header 'Authorization: Bearer <your_api_key>'
{
"items": [
{
"id": "inv_123",
"email": "user@example.com",
"code": "abc123xy",
"role": "member",
"expiresAt": "2026-02-27T10:00:00Z",
"createdAt": "2026-01-28T10:00:00Z",
"isUrlInvite": false,
"folders": [
{
"id": "fol_456",
"name": "Marketing"
}
]
}
],
"pagination": {
"limit": 20,
"nextOffset": null,
"isLast": true
}
}
Query Parameters
number
default:"20"
The number of items to return.
number
default:"0"
The number of items to skip before starting to collect the result set.
Response
Invite[]
Show Invite
Show Invite
string
Unique identifier for the invite.
string
Email address of the invitee. Can be null for URL-based invites.
string
Invite code.
string
Role assigned to the invitee. One of
admin, member.string
ISO8601 timestamp when the invite expires.
string
ISO8601 timestamp when the invite was created.
boolean
Whether this is a URL-based invite.
object
curl --request GET \
--url https://api.caret.so/v1/invites?limit=20&offset=0 \
--header 'Authorization: Bearer <your_api_key>'
{
"items": [
{
"id": "inv_123",
"email": "user@example.com",
"code": "abc123xy",
"role": "member",
"expiresAt": "2026-02-27T10:00:00Z",
"createdAt": "2026-01-28T10:00:00Z",
"isUrlInvite": false,
"folders": [
{
"id": "fol_456",
"name": "Marketing"
}
]
}
],
"pagination": {
"limit": 20,
"nextOffset": null,
"isLast": true
}
}
⌘I